<?php
/*
Plugin Name: Твиттер цитаты
Version: 1.0
Plugin URI: http://sbbblog.ru/downloads/tvitter-citaty/
Description: Твиттер цитаты (плагин от Анфисы Бреус). Этот плагин позволяет создавать короткие выдержки из текста с возможностью отсылать их в Твиттер.
Author: Анфиса Бреус
Author URI: http://sbbblog.ru/downloads/
*/

function tweetShortUrl($url) {
    $tinyurl = file_get_contents("http://tinyurl.com/api-create.php?url=".$url);
    return $tinyurl;
}

function tweet_block_css_style() {

echo (' <style type="text/css">.bird {background: url("'.plugins_url('/bird.png', __FILE__ ).'") right no-repeat;width: 300px; margin-top:10px;
text-align: right;
padding-right: 25px;
font-size: 10px;
float:right;
text-transform: uppercase;}
.block-tweet
{font-size:18px; line-height:30px; font-style:italic; margin-top:10px; margin-bottom:10px; padding:10px 20px 7px 20px; box-shadow: 0 0 5px#eee;-moz-box-shadow: 0 0 5px#eee;-webkit-box-shadow: 0 0 5px#eee;overflow:hidden; border:1px solid #eee;border-radius: 3px;-moz-border-radius: 3px;-webkit-border-radius: 3px;
}
.tweetable{padding-left:5px;padding-right:25px;padding-top:5px;padding-bottom:6px;background-image:url("'.plugins_url('/bird-link.png', __FILE__ ).'");background-color:#eee;background-position-x:right;background-position-y:6px;background-repeat:no-repeat;border-top-left-radius:3px;border-top-right-radius:3px;border-bottom-left-radius:3px;border-bottom-right-radius:3px;color:#000;text-decoration:none;background-position:right 6px;}.tweetable:hover{background-color:#e2f1f9;background-position-x:right;background-position-y:-23px;background-position:right -23px;}
.tweetable a {color:#000 !important; text-decoration:none}</style>');

}
add_action( 'wp_head', 'tweet_block_css_style' );


function tweet_shortcode($atts, $content = null) { 
	extract(shortcode_atts(array("border" => "no"), $atts)); ?>
<?php
$tinyurl = tweetShortUrl(get_permalink($post->ID));
	if ( $border == 'no' ) {
		return '<div class="block-tweet">'. $content. '<div class="bird" style=""><a style="color:#999; text-decoration:none; font-weight:bold" href="http://twitter.com/intent/tweet?url='.$tinyurl.'&amp;text='.$content = rawurlencode(strip_tags($content,'')).'&amp;via='. of_get_option('twitter').'" rel="nofollow">Отправить в Твиттер</a></div><div style="clear:both;"></div></div>';
		
		} 
		else
		{
return '<span class="tweetable"><a href="http://twitter.com/intent/tweet?url='.$tinyurl.'&amp;text='.$content=rawurlencode(strip_tags($content,'')).'&amp;via='. of_get_option('twitter').'" rel="nofollow" target="_blank">'. $content. '</a></span>';
		}

	
}

add_shortcode( 'tweet', 'tweet_shortcode' );

function tweet_add_mce_button() {
	// check user permissions
	if ( !current_user_can( 'edit_posts' ) && !current_user_can( 'edit_pages' ) ) {
		return;
	}
	// check if WYSIWYG is enabled
	if ( 'true' == get_user_option( 'rich_editing' ) ) {
		add_filter( 'mce_external_plugins', 'tweet_add_tinymce_plugin' );
		add_filter( 'mce_buttons', 'tweet_register_mce_button' );
	}
}
add_action('admin_head', 'tweet_add_mce_button');

// Declare script for new button
function tweet_add_tinymce_plugin( $plugin_array ) {
	$plugin_array['tweet_mce_button'] = plugins_url ( '/mce-button.js', __FILE__ );
	return $plugin_array;
}

// Register new button in the editor
function tweet_register_mce_button( $buttons ) {
	array_push( $buttons, 'tweet_mce_button' );
	return $buttons;
}

function my_shortcodes_mce_css() {
	wp_enqueue_style('symple_shortcodes-tc', plugins_url('mce-style.css', __FILE__ ));
}
add_action( 'admin_enqueue_scripts', 'my_shortcodes_mce_css' );